Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener Class Reference

Configures the Response cache properties. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener:

## Public Member Functions
| __construct ($enableViewCache, $enableTtlCache, $defaultTtl)
| configureCache (FilterResponseEvent $event)

## Static Public Member Functions
static | getSubscribedEvents ()

## Private Attributes
| $enableViewCache
| $enableTtlCache
| $defaultTtl

## Detailed Description

Configures the Response cache properties.

Definition at line 20 of file CacheViewResponseListener.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener::__construct | ( |  | $enableViewCache,
|  |  | $enableTtlCache,
|  |  | $defaultTtl
| ) |  |

Definition at line 43 of file CacheViewResponseListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener\$defaultTtl, eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener\$enableTtlCache, and eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener\$enableViewCache.

## Member Function Documentation

## ◆ configureCache()

eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener::configureCache | ( | FilterResponseEvent | $event | ) |

Definition at line 55 of file CacheViewResponseListener.php.

## ◆ getSubscribedEvents()

static eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener::getSubscribedEvents | ( |  | ) |
| static

Definition at line 50 of file CacheViewResponseListener.php.

## Member Data Documentation

## ◆ $defaultTtl

eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener::$defaultTtl
| private

Definition at line 41 of file CacheViewResponseListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener\__construct().

## ◆ $enableTtlCache

eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener::$enableTtlCache
| private

Definition at line 34 of file CacheViewResponseListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener\__construct().

## ◆ $enableViewCache

eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener::$enableViewCache
| private

Definition at line 27 of file CacheViewResponseListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\CacheViewResponseListener\__construct().

The documentation for this class was generated from the following file:

- CacheViewResponseListener.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.